<?php
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\FundRequest;

class FundController extends Controller
{
    public function show()
    {
        return view('user_panel.addfund');
    }

    public function submit(Request $request)
    {
        $request->validate([
            'amount' => 'required|numeric|min:10',
            'screenshot' => 'required|image|max:2048',
        ]);

        $path = $request->file('screenshot')->store('screenshots', 'public');

        FundRequest::create([
            'user_id' => auth()->id(),
            'amount' => $request->amount,
            'screenshot_path' => $path,
            'status' => 'pending'
        ]);

        return back()->with('success', 'Fund request submitted successfully!');
    }
}
